﻿using Syncfusion.Pdf.Parsing;
using Syncfusion.Pdf.Security;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PDFSample
{
    class Program
    {
        static void Main(string[] args)
        {
            //Load the existing PDF document
            PdfLoadedDocument ldoc = new PdfLoadedDocument("../../input.pdf");

            //Creates PDF Certificate.
            PdfCertificate pdfCert = new PdfCertificate(@"../../PDF.pfx", "syncfusion");

            //Create a new PDF signature field.
            PdfSignature signature = new PdfSignature(ldoc, ldoc.Pages[0], pdfCert, "cert");
           
            //Set the signature bounds
            signature.Bounds = new System.Drawing.RectangleF(0, 200, 100, 100);           

            //Save the PDF document
            ldoc.Save("output.pdf");

            //Close the PDF document
            ldoc.Close(true);

            System.Diagnostics.Process.Start("output.pdf");
        }
    }
}
